ChartDirector Ver 4.1 (PHP Edition Edition)

FinanceSimulator.FinanceSimulator

Usage

new FinanceSimulator(seed, startTime, endTime, resolution)

Description

Creates a FinanceSimulator object.

Arguments

Argument | Default | Description
--- | --- | ---
seed | (Mandatory) | The seed to be used in the random number generator.
startTime | (Mandatory) | The start date/time of the financial date series.
endTime | (Mandatory) | The end date/time of the financial date series.
resolution | (Mandatory) | The resolution of the financial data series in seconds. For example, a value of 86400 means daily data (1 day = 86400 seconds). A value of 7 * 86400 means weekly data. A value of 30 * 86400 means monthly data.

Return Value

The FinanceSimulator object created.

© 2006 Advanced Software Engineering Limited. All rights reserved.